Subject: Re: [PATCH] parser: Unmangle From: headers that have been mangled for DMARC purposes

From: Daniel Axtens <[email-masked]>
Date: Sat, 12 Oct 2019 02:42:49 +1100

Hi,

>> Neat. There was discussion on a similar issue recently in:
>> 
>>    https://public-inbox.org/git/[email-masked]/
>> 
>> where a possible solution was to get senders to use in-body From
>> headers even when sending their own patches.
>
> I think that's a good idea.
>
>> 
>> This might provide an alternate solution (or vice versa). I kind of like
>> this one better in that it doesn't require the sender to do anything
>> differently (but it may be less robust, as it assumes the receiver
>> reliably de-mangling).
>
> Yep, it's less robust - but OTOH there's always a long tail of users 
> stuck on old versions of git for whatever reason and having some logic 
> to detect DMARC munging may thus still be useful.

I'm not sure this solution is correct.

If I take a patch from Andrew, backport it, and send to the list, Andrew
will be listed in the in-body From. However, he shouldn't be the sender
from the Patchwork point of view: he shouldn't get the patch status
notification emails - I should. We don't want to spam an original author
if their patch is backported to several different releases, or picked up
and resent in someone else's series, etc etc. So unless I've
misunderstood something, we can't rely on the in-body from matching
Patchwork's understanding of the sender.

Regards,
Daniel

>
> -- 
> Andrew Donnellan              OzLabs, ADL Canberra
> [email-masked]             IBM Australia Limited
>
> _______________________________________________
> Patchwork mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/patchwork